DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
DRTReferencedSeriesSequence Class Reference

Interface class for ReferencedSeriesSequence (0008,1115) More...

Inheritance diagram for DRTReferencedSeriesSequence:

## Classes
class | Item
| Item class. More...

## Public Member Functions
| DRTReferencedSeriesSequence (const OFBool emptyDefaultSequence=OFFalse)
| (default) constructor More...
| DRTReferencedSeriesSequence (const DRTReferencedSeriesSequence &copy)
| copy constructor More...
virtual | ~DRTReferencedSeriesSequence ()
| destructor
DRTReferencedSeriesSequence & | operator= (const DRTReferencedSeriesSequence &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if sequence is empty More...
OFBool | isValid () const
| check if sequence is valid, i.e. not the empty default sequence More...
size_t | getNumberOfItems () const
| get number of items in the sequence More...
OFCondition | gotoFirstItem ()
| goto first item in the sequence More...
OFCondition | gotoNextItem ()
| goto next item in the sequence More...
OFCondition | gotoItem (const size_t num)
| goto particular item in the sequence More...
OFCondition | getCurrentItem (Item *&item) const
| get current item in the sequence More...
Item & | getCurrentItem ()
| get current item in the sequence More...
const Item & | getCurrentItem () const
| get current item in the sequence More...
OFCondition | getItem (const size_t num, Item *&item)
| get particular item in the sequence More...
Item & | getItem (const size_t num)
| get particular item in the sequence More...
const Item & | getItem (const size_t num) const
| get particular item in the sequence More...
Item & | operator[] (const size_t num)
| get particular item in the sequence More...
const Item & | operator[] (const size_t num) const
| get particular item in the sequence More...
OFCondition | addItem (Item *&item)
| create and add new item to the end of this sequence More...
OFCondition | insertItem (const size_t pos, Item *&item)
| create and insert new item into the sequence More...
OFCondition | removeItem (const size_t pos)
| remove particular item from the sequence More...
OFCondition | read (DcmItem &dataset, const OFString &card, const OFString &type, const char *moduleName=NULL)
| read sequence of items from dataset More...
OFCondition | write (DcmItem &dataset, const OFString &card, const OFString &type, const char *moduleName=NULL)
| write sequence of items to dataset More...

## Protected Member Functions
OFCondition | gotoItem (const size_t num, OFListIterator(Item *) &iterator)
| goto particular item in the sequence More...
OFCondition | gotoItem (const size_t num, OFListConstIterator(Item *) &iterator) const
| goto particular item in the sequence More...
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...

## Private Member Functions
| OFListIterator (Item *) CurrentItem
| currently selected item

## Private Attributes
OFBool | EmptyDefaultSequence
| internal flag used to mark the empty default sequence
OFList< Item * > | SequenceOfItems
| list of items in this sequence
Item | EmptyItem
| empty default item

## Additional Inherited Members
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Interface class for ReferencedSeriesSequence (0008,1115)

## Constructor & Destructor Documentation

## ◆ DRTReferencedSeriesSequence() [1/2]

DRTReferencedSeriesSequence::DRTReferencedSeriesSequence | ( | const OFBool | emptyDefaultSequence = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultSequence | internal flag used to mark the empty default sequence

## ◆ DRTReferencedSeriesSequence() [2/2]

DRTReferencedSeriesSequence::DRTReferencedSeriesSequence | ( | const DRTReferencedSeriesSequence & | copy | ) |

copy constructor

Parameters

  copy | sequence object to be copied

## Member Function Documentation

## ◆ addItem()

OFCondition DRTReferencedSeriesSequence::addItem | ( | Item *& | item | ) |

create and add new item to the end of this sequence

Parameters

  item | reference to new item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCurrentItem() [1/3]

Item& DRTReferencedSeriesSequence::getCurrentItem | ( |  | ) |

get current item in the sequence

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ getCurrentItem() [2/3]

const Item& DRTReferencedSeriesSequence::getCurrentItem | ( |  | ) | const

get current item in the sequence

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ getCurrentItem() [3/3]

OFCondition DRTReferencedSeriesSequence::getCurrentItem | ( | Item *& | item | ) | const

get current item in the sequence

Parameters

  item | reference to item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getItem() [1/3]

Item& DRTReferencedSeriesSequence::getItem | ( | const size_t | num | ) |

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ getItem() [2/3]

const Item& DRTReferencedSeriesSequence::getItem | ( | const size_t | num | ) | const

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ getItem() [3/3]

OFCondition DRTReferencedSeriesSequence::getItem | ( | const size_t | num,
|  | Item *& | item
| ) |  |

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)
  item | reference to item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfItems()

size_t DRTReferencedSeriesSequence::getNumberOfItems | ( |  | ) | const

get number of items in the sequence

Returns
  number of items

## ◆ gotoFirstItem()

OFCondition DRTReferencedSeriesSequence::gotoFirstItem | ( |  | ) |

goto first item in the sequence

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [1/3]

OFCondition DRTReferencedSeriesSequence::gotoItem | ( | const size_t | num | ) |

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [2/3]

OFCondition DRTReferencedSeriesSequence::gotoItem | ( | const size_t | num,
|  | OFListConstIterator(Item *) & | iterator
| ) |  | const
| protected

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)
  iterator | list iterator storing the position of the item

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoItem() [3/3]

OFCondition DRTReferencedSeriesSequence::gotoItem | ( | const size_t | num,
|  | OFListIterator(Item *) & | iterator
| ) |  |
| protected

goto particular item in the sequence

Parameters

  num | number of the item to be selected (0..num-1)
  iterator | list iterator storing the position of the item

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoNextItem()

OFCondition DRTReferencedSeriesSequence::gotoNextItem | ( |  | ) |

goto next item in the sequence

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ insertItem()

OFCondition DRTReferencedSeriesSequence::insertItem | ( | const size_t | pos,
|  | Item *& | item
| ) |  |

create and insert new item into the sequence

Parameters

  pos | position where the new item is to be inserted (0..num)
  item | reference to new item pointer (result variable)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferencedSeriesSequence::isEmpty | ( |  | ) |

check if sequence is empty

Returns
  OFTrue if sequence is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferencedSeriesSequence::isValid | ( |  | ) | const

check if sequence is valid, i.e. not the empty default sequence

Returns
  OFTrue if sequence is valid, OFFalse otherwise

## ◆ operator=()

DRTReferencedSeriesSequence& DRTReferencedSeriesSequence::operator= | ( | const DRTReferencedSeriesSequence & | copy | ) |

assignment operator

Parameters

  copy | sequence object to be copied

Returns
  reference to this object

## ◆ operator[]() [1/2]

Item& DRTReferencedSeriesSequence::operator[] | ( | const size_t | num | ) |

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  reference to specified item if successful, empty default item otherwise

## ◆ operator[]() [2/2]

const Item& DRTReferencedSeriesSequence::operator[] | ( | const size_t | num | ) | const

get particular item in the sequence

Parameters

  num | number of the item to be retrieved (0..num-1)

Returns
  const reference to specified item if successful, empty default item otherwise

## ◆ read()

OFCondition DRTReferencedSeriesSequence::read | ( | DcmItem & | dataset,
|  | const OFString & | card,
|  | const OFString & | type,
|  | const char * | moduleName = `NULL`
| ) |  |

read sequence of items from dataset

Parameters

  dataset | reference to DICOM dataset from which the sequence should be read
  card | cardinality (valid range for number of items)
  type | value type (valid value: "1", "1C", "2" or something else which is not checked)
  moduleName | optional module/sequence name to be printed (default: "RT object" if NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ removeItem()

OFCondition DRTReferencedSeriesSequence::removeItem | ( | const size_t | pos | ) |

remove particular item from the sequence

Parameters

  pos | position of the item to be removed (0..num-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferencedSeriesSequence::write | ( | DcmItem & | dataset,
|  | const OFString & | card,
|  | const OFString & | type,
|  | const char * | moduleName = `NULL`
| ) |  |

write sequence of items to dataset

Parameters

  dataset | reference to DICOM dataset to which the sequence should be written
  card | cardinality (valid range for number of items)
  type | value type (valid value: "1", "2" or something else which is not checked)
  moduleName | optional module/sequence name to be printed (default: "RT object" if NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrsers.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1